Subject: Re: [rohc] testing sigcomp code

From: "Raghavendra D P" <[email-masked]>
Date: Mon, 4 Sep 2006 10:51:42 +0530

hi
In RFC 3320  section 9.4.9 The returned feedback data is itself subdivided into a returned feedback item and a list of returned SigComp parameters.
 
i am very much confused about these items 
what returned feedback item contains , since sigcomp parameters contain cycles_per_bit,decompression size state memory size and sigcomp version.

end message instruction contains the returned_parametes_location 
my  question is what this location contains  whether the address of sigcomp parameters are returned feedback item , if both are different(sigcomp parameter and returned feedback item )

1) my question is why in both  format of sigcomp message  and also end instruction 
we have returned feedback data and retuned_parameters_location  . what is the differnece 

2)  Please convert  following instruction into bytecode  taking values of operand1 and operand 2 . 
ADD ($operand_1, %operand_2) 

thanks in advance 

Raghavendra dp

  ----- Original Message ----- 
  From: Surtees, Abigail 
  To: Raghavendra D P 
  Sent: Friday, September 01, 2006 9:44 PM
  Subject: RE: [rohc] testing sigcomp code

  Hi Raghavendra,
   
  When you send a message using SigComp it has to contain at least:
  *  a byte saying it is a SigComp message [0b11111Txx] where T and xx are defined in section 7 of RFC 3320.
  *  xx indicates either that bytecode is included (usually the case for the first message) or a state identifier (allowing 
        access to bytecode stored at the remote endpoint)
  *  compressed message (which may have some internal structure, e.g. the first n bytes may be a dictionary identifier, 
       depending on the bytecode you are using)
   
  You can use whatever bytecode you want to use.  The user guide provides examples of how you could express different compression algorithms in UDVM bytecode.
   
  Whatever bytecode you use, your compressor has to match it, so that the compressed message can be successfully decompressed using the bytecode.
   
  There is/was an assembler available as someone has already mentioned (you may need to trawl the mailing list archive), but in general, it is assumed that you can write your own.
   
  Best regards,
   
  Abbie

----------------------------------------------------------------------------
    From: Raghavendra D P [mailto:[email-masked]] 
    Sent: 01 September 2006 06:16
    To: Surtees, Abigail
    Subject: Re: [rohc] testing sigcomp code

    hi
    u mean to say that after formatting the message i will get sigcomp message, can i use the UDVM bytecode of the userguide  directly. 
    how i can see the sigcomp message codes using ethreal capture.
     
    how to write UDVM assembler, or it is avalible freely

    Thanks in advance
    regards
    Raghavendra 

      ----- Original Message ----- 
      From: Surtees, Abigail 
      To: Raghavendra D P ; [email-masked] 
      Sent: Thursday, August 31, 2006 8:01 PM
      Subject: RE: [rohc] testing sigcomp code

      Hi Raghavendra,
       
      It is not possible to run the message because it is not a SigComp message.  I assume that this is the output from compressing the SIP message.  You need to provide a full SigComp message (probably beginning 0xF8, certainly beginning 0b11111xxx) including bytecode for anyone to be able to decompress a message with their UDVM.  See section 7 of RFC 3320 for the message format.
       
      Best regards,
       
      Abbie

------------------------------------------------------------------------
        From: Raghavendra D P [mailto:[email-masked]] 
        Sent: 31 August 2006 13:17
        To: [email-masked]
        Subject: [rohc] testing sigcomp code

        hi

        i am using deflate algorithm (zlib 1.2..3) for compressing the sip message  and implementing the UDVM algorithm

        Sip input message given to deflate algorithm is  

        "INVITE sip:bob at biloxi.com SIP/2.0\r\n Via: SIP/2.0/UDP pc33.atlanta.com;branch=z9hG4bKnashds8;comp=sigcomp\r\n Max-Forwards: 70\r\n To: Bob <sip:bob at biloxi.com>\r\n From: Alice <sip:alice at atlanta.com>;tag=1928301774 Call-ID: a84b4c76e66710 CSeq: 314159 INVITE Contact: <sip:alice at pc33.atlanta.com> Content-Type: application/sdp Content-Length: 142"

        Then the sigcomp message is
        78f98412156d8fdb4e84301086bd36f11de65381490431112655d435ccd268b7b3f9469ab06d8526ae3ebd653dc46cbc9a99fc5fbe99

        a99ff77573fb3d0b4552da081568cea285ca6eb0abb75ee0fa5797b017487f46ef65b55cdc2d04533a234b8b0793ba16443f191df5

        1fb28711eba39cd6da28b59f44bb59a273c3a6b35bde1d4cd1492c5dc28a7776f3cdbf279496584fea40e176148c7f51786a2df76

        77f991becb92569e8932489a0c27174ea1554ca3366249cce338213e543bfe4a212411b9cee0fbfb4a59b33f44c7ffe63792b9344ef3aeb9356b6d513442496feef46fbae

        1b23735125179f2fe26f74b2fe26f7495abaa9d24367959f4ea5df5277ab32fecd31d8364f8c2214080

        if any one has implemented the UDVM , please run code with above sigcomp message , whether output is correct or not.

        thanks in advance

        Regards

        Raghavendra 

  -- 

  Roke Manor Research Ltd, Romsey,
  Hampshire, SO51 0ZN, United Kingdom

  A Siemens company

  ------------------------------------------------------------------------

  Visit our website at www.roke.co.uk

  ------------------------------------------------------------------------

  The information contained in this e-mail and any attachments is
  proprietary to Roke Manor Research Ltd and must not be passed to any
  third party without permission. This communication is for information
  only and shall not create or change any contractual relationship.

  ------------------------------------------------------------------------

This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely for the use of the addressee(s). If you are not the intended recipient, please notify the sender by e-mail and delete the original message.Global Edge Software Ltd has taken every reasonable precaution to minimize this risk, but is not liable for any damage you may sustain as a result of any virus in this e-mail. You should carry out your own virus checks before opening the e-mail or attachment. Global Edge Software Ltd reserves the right to monitor and review the content of all messages sent to or from this e-mail address
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc